package org.bench4q.share.models.agent;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "definedParam")
public class DefinedParameterModel {
	private String name;
	private String type;
	private String pickOrder;
	private String updateStrategy;

	@XmlElement
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@XmlElement
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	@XmlElement
	public String getPickOrder() {
		return pickOrder;
	}

	public void setPickOrder(String pickOrder) {
		this.pickOrder = pickOrder;
	}

	@XmlElement
	public String getUpdateStrategy() {
		return updateStrategy;
	}

	public void setUpdateStrategy(String updateStrategy) {
		this.updateStrategy = updateStrategy;
	}

	public DefinedParameterModel() {
	}

	public DefinedParameterModel(String name, String type, String pickOrder,
			String updateStrategy) {
		this();
		this.setName(name);
		this.setType(type);
		this.setPickOrder(pickOrder);
		this.setUpdateStrategy(updateStrategy);
	}
}
